src/ivar.cpp(3)

NAME
src/ivar.cpp

SYNOPSIS

#include <iostream>
#include <unistd.h>
#include 'remove_reads_from_amplicon.h'
#include 'call_consensus_pileup.h'
#include 'call_variants.h'
#include 'trim_primer_quality.h'
#include 'get_masked_amplicons.h'
#include 'suffix_tree.h'

  Classes
struct args_t

  Functions
void print_usage ()
void print_trim_usage ()
void print_variants_usage ()
void print_filtervariants_usage ()
void print_consensus_usage ()
void print_removereads_usage ()
void print_getmasked_usage ()
void print_trimadapter_usage ()
void print_version_info ()
int main (int argc, char *argv[])

  Variables
const std::string VERSION = '1.0'
struct args_t g_args

Function Documentation

  int main (int argc, char * argv[])
Main Function

This is where the command line arguments into iVar are parsed. iVar first parses the first argument and depending on the command it either returns the version or uses GNU getopt to parse the remaining arguments.

Author

Generated automatically by Doxygen for iVar from the source code.